Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040865
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagerminorhave not tried2019-05-13 18:142019-05-21 15:17
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision751493543c04
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040865: Set VOLATILITY LEVEL for Database functions

DescriptionAfter the ability to manage DB function volatility now it is possible to set db function with below attributes: Reference[1].

IMMUTABLE indicates that the function cannot modify the database and always returns the same result when given the same argument values; that is, it does not do database lookups or otherwise use information not directly present in its argument list. If this option is given, any call of the function with all-constant arguments can be immediately replaced with the function value.

STABLE indicates that the function cannot modify the database, and that within a single table scan it will consistently return the same result for the same argument values, but that its result could change across SQL statements. This is the appropriate selection for functions whose results depend on database lookups, parameter variables (such as the current time zone), etc. (It is inappropriate for AFTER triggers that wish to query rows modified by the current command.) Also note that the current_timestamp family of functions qualify as stable, since their values do not change within a transaction.

VOLATILE indicates that the function value can change even within a single table scan, so no optimizations can be made. Relatively few database functions are volatile in this sense; some examples are random(), currval(), timeofday(). But note that any function that has side-effects must be classified volatile, even if its result is quite predictable, to prevent calls from being optimized away; an example is setval().

[1]https://www.postgresql.org/docs/9.5/sql-createfunction.html [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039349 closedAtulOpenbravo Openbravo ERP Return from Customer pick/edit lines process takes more time to be loaded on an environment with thousands of orders. 
depends on feature request 0029943 closedalostale Openbravo ERP support to define DB functions volatility 
related to defect 0040615 closedvmromanos Modules Task loading can be very slow [Frontend] 

-  Notes
(0111657)
hgbot (developer)
2019-05-14 11:40

Repository: erp/devel/pi
Changeset: 751493543c046f810a0d42912ca95cf6e3dca997
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 23:30:31 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/751493543c046f810a0d42912ca95cf6e3dca997 [^]

Fixes Issue 40865:Set VOLATILITY LEVEL for Database functions

** Set volatility level as IMMUTABLE for ad_isjavascriptword, ad_isjavaword,
ad_mapping_format, ad_module_checked, c_add_months2, c_datedayinmonth,
c_debt_payment_status, c_divide, c_get_isoweek_day, c_ignore_accent,
c_invoicetodate, c_trim, last_day, m_get_offer_price, m_get_offer_std_price,
m_get_offers_price, m_get_offers_std_price, m_warehouse_default_rule,
m_warehouse_default_rule_param

** Rest are set with volatility level as STABLE

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_ISPAYMENTCONFIRMED.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNOINVPAIDSTATUS.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_SEQNUMBERPAYMENTSTATUS.xml
M src-db/database/model/functions/AD_COLUMN_IDENTIFIER.xml
M src-db/database/model/functions/AD_COLUMN_IDENTIFIER_REF_SQL.xml
M src-db/database/model/functions/AD_COLUMN_IDENTIFIER_SQL.xml
M src-db/database/model/functions/AD_COLUMN_IDENTIFIER_STD.xml
M src-db/database/model/functions/AD_DBA_USER_CONST_SEARCHCOND.xml
M src-db/database/model/functions/AD_GET_DOCTYPE.xml
M src-db/database/model/functions/AD_GET_DOCTYPE_EXPENSES.xml
M src-db/database/model/functions/AD_GET_DOC_LE_BU.xml
M src-db/database/model/functions/AD_GET_LEVEL_NODE_TREE.xml
M src-db/database/model/functions/AD_GET_NODE_TREE_BYLEVEL.xml
M src-db/database/model/functions/AD_GET_ORG_LE_BU.xml
M src-db/database/model/functions/AD_GET_ORG_LE_BU_TREENODE.xml
M src-db/database/model/functions/AD_GET_PREFERENCE_VALUE.xml
M src-db/database/model/functions/AD_ISJAVASCRIPTWORD.xml
M src-db/database/model/functions/AD_ISJAVAWORD.xml
M src-db/database/model/functions/AD_ISMEMBERINCLUDED.xml
M src-db/database/model/functions/AD_ISORGINCLUDED.xml
M src-db/database/model/functions/AD_ISORGINCLUDED_TREENODE.xml
M src-db/database/model/functions/AD_MAPPING_FORMAT.xml
M src-db/database/model/functions/AD_MESSAGE_GET2.xml
M src-db/database/model/functions/AD_MODULE_CHECKED.xml
M src-db/database/model/functions/AD_MODULE_DEPENDENT.xml
M src-db/database/model/functions/AD_MODULE_IDENTIFIER.xml
M src-db/database/model/functions/AD_ORGTYPE_ISLE_ISBU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISTRANS_ALLOWED.xml
M src-db/database/model/functions/AD_ORG_CHK_CALENDAR.xml
M src-db/database/model/functions/AD_ORG_CHK_READY.xml
M src-db/database/model/functions/AD_ORG_CHK_SCHEMAS.xml
M src-db/database/model/functions/AD_ORG_GETCALENDAROWNER.xml
M src-db/database/model/functions/AD_ORG_GETCALENDAROWNERTN.xml
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOW.xml
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOWTN.xml
M src-db/database/model/functions/AD_ORG_ISINNATURALTREE.xml
M src-db/database/model/functions/AD_PARENT_MENU_ELEMENT.xml
M src-db/database/model/functions/AD_PARENT_TREE.xml
M src-db/database/model/functions/C_ADD_MONTHS2.xml
M src-db/database/model/functions/C_AGING_GET_SCOPE.xml
M src-db/database/model/functions/C_BASE_CONVERT.xml
M src-db/database/model/functions/C_CALCULATECOST_CATSALARY.xml
M src-db/database/model/functions/C_CALCULATE_CATSALARY.xml
M src-db/database/model/functions/C_CHK_OPEN_PERIOD.xml
M src-db/database/model/functions/C_CHK_OPEN_PERIOD_GLJ.xml
M src-db/database/model/functions/C_CONVERT_DOC_CURRENCY.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT0.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT_PRECISION.xml
M src-db/database/model/functions/C_CURRENCY_CONVERT_RATE.xml
M src-db/database/model/functions/C_CURRENCY_ISOSYM.xml
M src-db/database/model/functions/C_CURRENCY_RATE.xml
M src-db/database/model/functions/C_CURRENCY_ROUND.xml
M src-db/database/model/functions/C_CURRENCY_SYMBOL.xml
M src-db/database/model/functions/C_DATEDAYINMONTH.xml
M src-db/database/model/functions/C_DB_PERCENTAGE_PAID.xml
M src-db/database/model/functions/C_DEBT_PAYMENT_PAID.xml
M src-db/database/model/functions/C_DEBT_PAYMENT_STATUS.xml
M src-db/database/model/functions/C_DEBT_PAYMENT_STATUS0.xml
M src-db/database/model/functions/C_DIVIDE.xml
M src-db/database/model/functions/C_GETBPLOCATIONID.xml
M src-db/database/model/functions/C_GETINVOICELINE_TAXAMOUNT.xml
M src-db/database/model/functions/C_GETINVOICESTATUSFROMSHIPMENT.xml
M src-db/database/model/functions/C_GETTAX.xml
M src-db/database/model/functions/C_GETWITHHOLDING.xml
M src-db/database/model/functions/C_GET_CURRENCY_PRECISION.xml
M src-db/database/model/functions/C_GET_DEFAULT_PERIOD.xml
M src-db/database/model/functions/C_GET_IBAN_DISPLAYED_ACCOUNT.xml
M src-db/database/model/functions/C_GET_ISOWEEK_DAY.xml
M src-db/database/model/functions/C_GET_NET_AMOUNT_FROM_GROSS.xml
M src-db/database/model/functions/C_GET_NET_PRICE_FROM_GROSS.xml
M src-db/database/model/functions/C_GET_PRODUCT_TAXCATEGORY.xml
M src-db/database/model/functions/C_GET_SERVICE_AMOUNT.xml
M src-db/database/model/functions/C_GET_TAX_AMT_FROM_NET.xml
M src-db/database/model/functions/C_IGNORE_ACCENT.xml
M src-db/database/model/functions/C_INVOICELINE_TAX.xml
M src-db/database/model/functions/C_INVOICETODATE.xml
M src-db/database/model/functions/C_INVOICE_PERCENTAGE_PAID.xml
M src-db/database/model/functions/C_LOCATION_DESCRIPTION.xml
M src-db/database/model/functions/C_LOCATION_IDENTIFIER.xml
M src-db/database/model/functions/C_LOCATION_NAME.xml
M src-db/database/model/functions/C_ORDER_STATUS.xml
M src-db/database/model/functions/C_PAYMENTDUEDATE.xml
M src-db/database/model/functions/C_TAX_GET_LEVEL.xml
M src-db/database/model/functions/C_TAX_GET_ROOT.xml
M src-db/database/model/functions/C_TAX_ISMEMBER.xml
M src-db/database/model/functions/C_TRIM.xml
M src-db/database/model/functions/C_UOM_CONVERT.xml
M src-db/database/model/functions/FIN_AGING_GETDOCNO.xml
M src-db/database/model/functions/FIN_AGING_INVOICECURRENCY_RATE.xml
M src-db/database/model/functions/FIN_AGING_ISDOUBTFULTDEBT.xml
M src-db/database/model/functions/FIN_AGING_PAYMENTCURRENCY_RATE.xml
M src-db/database/model/functions/MRP_CHECK_PLANNINGMETHOD.xml
M src-db/database/model/functions/M_BOM_PRICELIMIT.xml
M src-db/database/model/functions/M_BOM_PRICELIST.xml
M src-db/database/model/functions/M_BOM_PRICESTD.xml
M src-db/database/model/functions/M_BOM_QTY_AVAILABLE.xml
M src-db/database/model/functions/M_BOM_QTY_ONHAND.xml
M src-db/database/model/functions/M_BOM_QTY_ORDERED.xml
M src-db/database/model/functions/M_BOM_QTY_RESERVED.xml
M src-db/database/model/functions/M_CHECK_STOCK.xml
M src-db/database/model/functions/M_GETJSONDESCRIPTION.xml
M src-db/database/model/functions/M_GET_CONVERTED_AUMQTY.xml
M src-db/database/model/functions/M_GET_CONVERTED_QTY.xml
M src-db/database/model/functions/M_GET_COST.xml
M src-db/database/model/functions/M_GET_NO_TRX_PRODUCT_COST.xml
M src-db/database/model/functions/M_GET_OFFER.xml
M src-db/database/model/functions/M_GET_OFFERS_NAME.xml
M src-db/database/model/functions/M_GET_OFFERS_PRICE.xml
M src-db/database/model/functions/M_GET_OFFERS_STD_PRICE.xml
M src-db/database/model/functions/M_GET_OFFER_PRICE.xml
M src-db/database/model/functions/M_GET_OFFER_STD_PRICE.xml
M src-db/database/model/functions/M_GET_PARETO_ABC.xml
M src-db/database/model/functions/M_GET_PARETO_ABC_LEGACY.xml
M src-db/database/model/functions/M_GET_PRICELIST_VERSION.xml
M src-db/database/model/functions/M_GET_PRODUCT_COST.xml
M src-db/database/model/functions/M_GET_PRODUCT_PRICE.xml
M src-db/database/model/functions/M_GET_PRODUCT_PRICE_DATE.xml
M src-db/database/model/functions/M_GET_TRANSACTION_COST.xml
M src-db/database/model/functions/M_GET_TRX_AND_PRODUCT_COST.xml
M src-db/database/model/functions/M_ISPARENT_CH_VALUE.xml
M src-db/database/model/functions/M_WAREHOUSE_DEFAULT_RULE.xml
M src-db/database/model/functions/M_WAREHOUSE_DEFAULT_RULE_PARAM.xml
M src-db/database/model/postscript-PostgreSql.sql
M src-db/database/model/prescript-PostgreSql.sql
---
(0111658)
hgbot (developer)
2019-05-14 11:42

Repository: erp/mods/org.openbravo.alerts.accounting30
Changeset: 56ad447c95a706dae00cff8fb75b14ad0f7ceb4e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:26:06 2019 +0530
URL: http://code.openbravo.com/erp/mods/org.openbravo.alerts.accounting30/rev/56ad447c95a706dae00cff8fb75b14ad0f7ceb4e [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBACAL3_OPERANDS_POSITION as STABLE

---
M src-db/database/model/functions/OBACAL3_OPERANDS_POSITION.xml
---
(0111659)
hgbot (developer)
2019-05-14 11:44

Repository: erp/mods/org.openbravo.financial.accounttreeexport
Changeset: 447f37ad3d1761b9e4fc3eeefe532de613236401
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue May 14 00:02:30 2019 +0530
URL: http://code.openbravo.com/erp/mods/org.openbravo.financial.accounttreeexport/rev/447f37ad3d1761b9e4fc3eeefe532de613236401 [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBFATE_GETOPERANDS as STABLE

---
M src-db/database/model/functions/OBFATE_GETOPERANDS.xml
---
(0111660)
hgbot (developer)
2019-05-14 11:46

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: eebf81126d179ff3b1b446d0eab677ca22e9389d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:38:41 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/eebf81126d179ff3b1b446d0eab677ca22e9389d [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBAWO_AVAILABLECAPACITYINBUM,
OBAWO_GETAUOMCONVERSIONRATE, OBAWO_GETAUOMGTIN,
OBAWO_GETCHILDTASKMAXPRIORITY, OBAWO_ORDERLINE_PENDINGPICKING,
OBAWO_ORDER_PENDINGPICKING as STABLE

---
M src-db/database/model/functions/OBAWO_AVAILABLECAPACITYINBUM.xml
M src-db/database/model/functions/OBAWO_GETAUOMCONVERSIONRATE.xml
M src-db/database/model/functions/OBAWO_GETAUOMGTIN.xml
M src-db/database/model/functions/OBAWO_GETCHILDTASKMAXPRIORITY.xml
M src-db/database/model/functions/OBAWO_ORDERLINE_PENDINGPICKING.xml
M src-db/database/model/functions/OBAWO_ORDER_PENDINGPICKING.xml
---
(0111661)
hgbot (developer)
2019-05-14 11:47

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: ef1737851915f69a980df4ca07982f1c543a38c4
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:40:20 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/ef1737851915f69a980df4ca07982f1c543a38c4 [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBDOA_DOLINE_PENDINGPICKING as STABLE

---
M src-db/database/model/functions/OBDOA_DOLINE_PENDINGPICKING.xml
---
(0111662)
hgbot (developer)
2019-05-14 11:48

Repository: erp/pmods/org.openbravo.module.aeat347apr.es
Changeset: fff9a608d51c0f1a88c0d2d376d2521d734eeded
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:28:42 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.aeat347apr.es/rev/fff9a608d51c0f1a88c0d2d376d2521d734eeded [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function AEAT347_CURRENCY_CONVERT as STABLE

---
M src-db/database/model/functions/AEAT347_CURRENCY_CONVERT.xml
---
(0111663)
hgbot (developer)
2019-05-14 11:49

Repository: erp/pmods/org.openbravo.module.aeat349.es
Changeset: c5e2c60faac3a989c44a054e5c79473c3c4010ca
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:30:42 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.aeat349.es/rev/c5e2c60faac3a989c44a054e5c79473c3c4010ca [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function AEAT349_REVINVOICES_CHECK as STABLE

---
M src-db/database/model/functions/AEAT349_REVINVOICES_CHECK.xml
---
(0111664)
hgbot (developer)
2019-05-14 11:50

Repository: erp/pmods/org.openbravo.interco
Changeset: 954fa3add077c94af1970b18a2dd759a8c5c2cbb
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:27:33 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.interco/rev/954fa3add077c94af1970b18a2dd759a8c5c2cbb [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function INTERCO_COMMONPARENTORG as STABLE

---
M src-db/database/model/functions/INTERCO_COMMONPARENTORG.xml
---
(0111665)
hgbot (developer)
2019-05-14 11:50

Repository: erp/pmods/org.openbravo.module.intrastat.spain
Changeset: 138c1d3865b2c78c4fc97d5618ff91041303ac2c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:32:05 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat.spain/rev/138c1d3865b2c78c4fc97d5618ff91041303ac2c [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function INTRES_AD_ORG_EU &
INTRES_C_BPARTNER_EU as STABLE

---
M src-db/database/model/functions/INTRES_AD_ORG_EU.xml
M src-db/database/model/functions/INTRES_C_BPARTNER_EU.xml
---
(0111666)
hgbot (developer)
2019-05-14 11:52

Repository: erp/pmods/org.openbravo.module.invoicesregisterbook
Changeset: f016f369e00b451e2f2bad5bf4accaf3218d0321
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:23:44 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicesregisterbook/rev/f016f369e00b451e2f2bad5bf4accaf3218d0321 [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBIRB_GETOPERATIONDATE as STABLE

---
M src-db/database/model/functions/OBIRB_GETOPERATIONDATE.xml
---
(0111667)
hgbot (developer)
2019-05-14 11:52

Repository: erp/pmods/org.openbravo.module.invoicesregisterbook
Changeset: 8eb8e36db9139cc3b16da059b5a5fa9de463f21d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:23:44 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicesregisterbook/rev/8eb8e36db9139cc3b16da059b5a5fa9de463f21d [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBIRB_GETOPERATIONDATE as STABLE

---
M src-db/database/model/functions/OBIRB_GETOPERATIONDATE.xml
---
(0111668)
hgbot (developer)
2019-05-14 11:53

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat
Changeset: 9f32b068b5380b0af63ac6ff1670d9319a558f2f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:34:31 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat/rev/9f32b068b5380b0af63ac6ff1670d9319a558f2f [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBMTRCV_GETCOUNTRYNAME,
OBMTRCV_GETMANNUALSETTLDATE as STABLE & OBMTRCV_GETAMT as IMMUTABLE

---
M src-db/database/model/functions/OBMTRCV_GETAMT.xml
M src-db/database/model/functions/OBMTRCV_GETCOUNTRYNAME.xml
M src-db/database/model/functions/OBMTRCV_GETMANUALSETTLDATE.xml
---
(0111669)
hgbot (developer)
2019-05-14 11:55

Repository: erp/pmods/org.openbravo.module.resources
Changeset: 9baf0b890fd18e91d996ba5260378e5d99357302
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon May 13 22:36:08 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.resources/rev/9baf0b890fd18e91d996ba5260378e5d99357302 [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBRE_GETRESERVATIONS &
OBRE_GETRESERVATIONDURATION as STABLE

---
M src-db/database/model/functions/OBRE_GETRESERVATIONDURATION.xml
M src-db/database/model/functions/OBRE_GETRESERVATIONS.xml
---
(0111681)
hgbot (developer)
2019-05-15 08:39

Repository: erp/mods/org.openbravo.module.remittance
Changeset: dea99fd46589f4491ed04820d305327f296d909b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue May 14 20:17:49 2019 +0530
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/dea99fd46589f4491ed04820d305327f296d909b [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function REM_GETREMLINECURRENCY &
REM_SHOWALTERNATIVECURRENCY as STABLE, REM_ISPAYMENTCONFIRMED
as IMMUTABLE

---
M src-db/database/model/functions/REM_GETREMLINECURRENCY.xml
M src-db/database/model/functions/REM_ISPAYMENTCONFIRMED.xml
M src-db/database/model/functions/REM_SHOWALTERNATIVECURRENCY.xml
---
(0111682)
hgbot (developer)
2019-05-15 08:41

Repository: erp/pmods/org.openbravo.module.intrastat
Changeset: 0c5926bb3d59163a69d2a7a62316cc0e8f3ea626
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue May 14 20:20:00 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/0c5926bb3d59163a69d2a7a62316cc0e8f3ea626 [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of functions INTR_AD_ORG_EU, INTR_CHECK_LINE,
INTR_C_BPARTNER_EU, INTR_GET_LEGALENTITY, INTR_ISSAMECOUNTRY,
INTR_M_PRODUCT_ITEM & INTR_ORG_DEFAULT AS STABLE

---
M src-db/database/model/functions/INTR_AD_ORG_EU.xml
M src-db/database/model/functions/INTR_CHECK_LINE.xml
M src-db/database/model/functions/INTR_C_BPARTNER_EU.xml
M src-db/database/model/functions/INTR_GET_LEGALENTITY.xml
M src-db/database/model/functions/INTR_ISSAMECOUNTRY.xml
M src-db/database/model/functions/INTR_M_PRODUCT_ITEM.xml
M src-db/database/model/functions/INTR_ORG_DEFAULT.xml
---
(0111690)
hgbot (developer)
2019-05-15 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 16a98a375f451c08f0a521c688c9d9d4ee0f4d62
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue May 14 20:22:07 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/16a98a375f451c08f0a521c688c9d9d4ee0f4d62 [^]

Related To Issue 0040865:Set VOLATILITY LEVEL for Database functions

**Set volatility level of function OBPOS_CURRENCY_RATE &
OBPOS_DELIVER_LAYAWAY AS STABLE

---
M src-db/database/model/functions/OBPOS_CURRENCY_RATE.xml
M src-db/database/model/functions/OBPOS_DELIVER_LAYAWAY.xml
---
(0111691)
vmromanos (developer)
2019-05-15 13:14

Code review OK
(0112030)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-13 18:14 AtulOpenbravo New Issue
2019-05-13 18:14 AtulOpenbravo Assigned To => AtulOpenbravo
2019-05-13 18:14 AtulOpenbravo Modules => Core
2019-05-13 18:14 AtulOpenbravo Triggers an Emergency Pack => No
2019-05-13 18:15 AtulOpenbravo Status new => scheduled
2019-05-13 18:16 AtulOpenbravo Relationship added depends on 0029943
2019-05-13 18:16 AtulOpenbravo Relationship added related to 0039349
2019-05-13 20:11 AtulOpenbravo Summary Manage VOLATILITY of Database functions => Set VOLATILITY LEVEL for Database functions
2019-05-13 20:39 AtulOpenbravo Review Assigned To => vmromanos
2019-05-14 11:40 hgbot Checkin
2019-05-14 11:40 hgbot Note Added: 0111657
2019-05-14 11:40 hgbot Status scheduled => resolved
2019-05-14 11:40 hgbot Resolution open => fixed
2019-05-14 11:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/751493543c046f810a0d42912ca95cf6e3dca997 [^]
2019-05-14 11:42 hgbot Checkin
2019-05-14 11:42 hgbot Note Added: 0111658
2019-05-14 11:44 hgbot Checkin
2019-05-14 11:44 hgbot Note Added: 0111659
2019-05-14 11:46 hgbot Checkin
2019-05-14 11:46 hgbot Note Added: 0111660
2019-05-14 11:47 hgbot Checkin
2019-05-14 11:47 hgbot Note Added: 0111661
2019-05-14 11:48 hgbot Checkin
2019-05-14 11:48 hgbot Note Added: 0111662
2019-05-14 11:49 hgbot Checkin
2019-05-14 11:49 hgbot Note Added: 0111663
2019-05-14 11:50 hgbot Checkin
2019-05-14 11:50 hgbot Note Added: 0111664
2019-05-14 11:50 hgbot Checkin
2019-05-14 11:50 hgbot Note Added: 0111665
2019-05-14 11:52 hgbot Checkin
2019-05-14 11:52 hgbot Note Added: 0111666
2019-05-14 11:52 hgbot Checkin
2019-05-14 11:52 hgbot Note Added: 0111667
2019-05-14 11:53 hgbot Checkin
2019-05-14 11:53 hgbot Note Added: 0111668
2019-05-14 11:55 hgbot Checkin
2019-05-14 11:55 hgbot Note Added: 0111669
2019-05-15 08:39 hgbot Checkin
2019-05-15 08:39 hgbot Note Added: 0111681
2019-05-15 08:41 hgbot Checkin
2019-05-15 08:41 hgbot Note Added: 0111682
2019-05-15 13:14 hgbot Checkin
2019-05-15 13:14 hgbot Note Added: 0111690
2019-05-15 13:14 vmromanos Note Added: 0111691
2019-05-15 13:14 vmromanos Status resolved => closed
2019-05-15 13:14 vmromanos Fixed in Version => 3.0PR19Q3
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112030
2019-05-31 13:08 vmromanos Relationship added related to 0040615


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker